Package com.independentsoft.office.vml

# Class Image

java.lang.Object
com.independentsoft.office.vml.Image

All Implemented Interfaces:
  `IContentElement`, `IPicture`, `IGroupElement`, `IShapeElement`, `IVmlElement`

public class Image extends Object implements IVmlElement, IShapeElement, IPicture
The Class Image.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Image()`
  Instantiates a new image.
  `Image​(InternalXMLStreamReader reader)`
  Instantiates a new image.
  `Image​(String filePath)`
  Instantiates a new image.
  `Image​(String fileName, byte[] buffer)`
  Instantiates a new image.
  `Image​(String fileName, InputStream stream)`
  Instantiates a new image.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Image`
  `clone()`
  `String`
  `getAlternativeImageReference()`
  Gets the alternative image reference.
  `String`
  `getBlackRecoloringColor()`
  Gets the black recoloring color.
  `String`
  `getBottomCrop()`
  Gets the bottom crop.
  `String`
  `getBrightness()`
  Gets the brightness.
  `byte[]`
  `getBuffer()`
  `String`
  `getChromaKey()`
  Gets the chroma key.
  `List<IContentElement>`
  `getContentElements()`
  `String`
  `getEmbeddedObjectID()`
  Gets the embedded object id.
  `String`
  `getEmbossedColor()`
  Gets the embossed color.
  `String`
  `getFileName()`
  `String`
  `getGammaCorrection()`
  Gets the gamma correction.
  `String`
  `getHyperlinkTargetRelationshipID()`
  Gets the hyperlink target relationship id.
  `String`
  `getID()`
  Gets the id.
  `InputStream`
  `getInputStream()`
  `String`
  `getIntensity()`
  Gets the intensity.
  `String`
  `getLeftCrop()`
  Gets the left crop.
  `String`
  `getMovieReference()`
  Gets the movie reference.
  `String`
  `getRightCrop()`
  Gets the right crop.
  `String`
  `getSource()`
  Gets the source.
  `String`
  `getTitle()`
  Gets the title.
  `String`
  `getTopCrop()`
  Gets the top crop.
  `boolean`
  `isBilevel()`
  Checks if is bilevel.
  `boolean`
  `isDetectMouseClick()`
  Checks if is detect mouse click.
  `boolean`
  `isGrayscale()`
  Checks if is grayscale.
  `void`
  `load​(String filePath)`
  Load.
  `void`
  `load​(String fileName, byte[] buffer)`
  Load.
  `void`
  `load​(String fileName, InputStream inputStream)`
  Load.
  `void`
  `save​(OutputStream outputStream)`
  `void`
  `save​(String filePath)`
  `void`
  `save​(String filePath, boolean overwrite)`
  `void`
  `setAlternativeImageReference​(String alternativeImageReference)`
  Sets the alternative image reference.
  `void`
  `setBilevel​(boolean bilevel)`
  Sets the bilevel.
  `void`
  `setBlackRecoloringColor​(String blackRecoloringColor)`
  Sets the black recoloring color.
  `void`
  `setBottomCrop​(String bottomCrop)`
  Sets the bottom crop.
  `void`
  `setBrightness​(String brightness)`
  Sets the brightness.
  `void`
  `setBuffer​(byte[] buffer)`
  `void`
  `setChromaKey​(String chromaKey)`
  Sets the chroma key.
  `void`
  `setDetectMouseClick​(boolean detectMouseClick)`
  Sets the detect mouse click.
  `void`
  `setEmbeddedObjectID​(String embeddedObjectID)`
  Sets the embedded object id.
  `void`
  `setEmbossedColor​(String embossedColor)`
  Sets the embossed color.
  `void`
  `setFileName​(String fileName)`
  Sets the file name.
  `void`
  `setGammaCorrection​(String gammaCorrection)`
  Sets the gamma correction.
  `void`
  `setGrayscale​(boolean grayscale)`
  Sets the grayscale.
  `void`
  `setHyperlinkTargetRelationshipID​(String hyperlinkTargetRelationshipID)`
  Sets the hyperlink target relationship id.
  `void`
  `setID​(String id)`
  Sets the id.
  `void`
  `setIntensity​(String intensity)`
  Sets the intensity.
  `void`
  `setLeftCrop​(String leftCrop)`
  Sets the left crop.
  `void`
  `setMovieReference​(String movieReference)`
  Sets the movie reference.
  `void`
  `setRightCrop​(String rightCrop)`
  Sets the right crop.
  `void`
  `setSource​(String source)`
  Sets the source.
  `void`
  `setTitle​(String title)`
  Sets the title.
  `void`
  `setTopCrop​(String topCrop)`
  Sets the top crop.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Image

    public Image()
    Instantiates a new image.

  - ### Image

    public Image​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new image.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

  - ### Image

    public Image​(String filePath) throws IOException
    Instantiates a new image.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### Image

    public Image​(String fileName, InputStream stream) throws IOException
    Instantiates a new image.
    Parameters:
      `fileName` - the file name
      `stream` - the stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### Image

    public Image​(String fileName, byte[] buffer)
    Instantiates a new image.
    Parameters:
      `fileName` - the file name
      `buffer` - the buffer

- ## Method Details

  - ### load

    public void load​(String filePath) throws IOException
    Load.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### load

    public void load​(String fileName, InputStream inputStream) throws IOException
    Load.
    Parameters:
      `fileName` - the file name
      `inputStream` - the input stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### load

    public void load​(String fileName, byte[] buffer)
    Load.
    Parameters:
      `fileName` - the file name
      `buffer` - the buffer

  - ### save

    public void save​(String filePath) throws IOException
    Specified by:
      `save` in interface `IPicture`
    Throws:
      `IOException`

  - ### save

    public void save​(String filePath, boolean overwrite) throws IOException
    Specified by:
      `save` in interface `IPicture`
    Throws:
      `IOException`

  - ### save

    public void save​(OutputStream outputStream) throws IOException
    Specified by:
      `save` in interface `IPicture`
    Throws:
      `IOException`

  - ### getInputStream

    public InputStream getInputStream()
    Specified by:
      `getInputStream` in interface `IPicture`

  - ### getContentElements

    public List<IContentElement> getContentElements()
    Specified by:
      `getContentElements` in interface `IContentElement`

  - ### clone

    public Image clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IGroupElement`
    Specified by:
      `clone` in interface `IPicture`
    Specified by:
      `clone` in interface `IShapeElement`
    Specified by:
      `clone` in interface `IVmlElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getAlternativeImageReference

    public String getAlternativeImageReference()
    Gets the alternative image reference.
    Returns:
      the alternative image reference

  - ### setAlternativeImageReference

    public void setAlternativeImageReference​(String alternativeImageReference)
    Sets the alternative image reference.
    Parameters:
      `alternativeImageReference` - the new alternative image reference

  - ### isBilevel

    public boolean isBilevel()
    Checks if is bilevel.
    Returns:
      true, if is bilevel

  - ### setBilevel

    public void setBilevel​(boolean bilevel)
    Sets the bilevel.
    Parameters:
      `bilevel` - the new bilevel

  - ### getBrightness

    public String getBrightness()
    Gets the brightness.
    Returns:
      the brightness

  - ### setBrightness

    public void setBrightness​(String brightness)
    Sets the brightness.
    Parameters:
      `brightness` - the new brightness

  - ### getChromaKey

    public String getChromaKey()
    Gets the chroma key.
    Returns:
      the chroma key

  - ### setChromaKey

    public void setChromaKey​(String chromaKey)
    Sets the chroma key.
    Parameters:
      `chromaKey` - the new chroma key

  - ### getBottomCrop

    public String getBottomCrop()
    Gets the bottom crop.
    Returns:
      the bottom crop

  - ### setBottomCrop

    public void setBottomCrop​(String bottomCrop)
    Sets the bottom crop.
    Parameters:
      `bottomCrop` - the new bottom crop

  - ### getLeftCrop

    public String getLeftCrop()
    Gets the left crop.
    Returns:
      the left crop

  - ### setLeftCrop

    public void setLeftCrop​(String leftCrop)
    Sets the left crop.
    Parameters:
      `leftCrop` - the new left crop

  - ### getRightCrop

    public String getRightCrop()
    Gets the right crop.
    Returns:
      the right crop

  - ### setRightCrop

    public void setRightCrop​(String rightCrop)
    Sets the right crop.
    Parameters:
      `rightCrop` - the new right crop

  - ### getTopCrop

    public String getTopCrop()
    Gets the top crop.
    Returns:
      the top crop

  - ### setTopCrop

    public void setTopCrop​(String topCrop)
    Sets the top crop.
    Parameters:
      `topCrop` - the new top crop

  - ### isDetectMouseClick

    public boolean isDetectMouseClick()
    Checks if is detect mouse click.
    Returns:
      true, if is detect mouse click

  - ### setDetectMouseClick

    public void setDetectMouseClick​(boolean detectMouseClick)
    Sets the detect mouse click.
    Parameters:
      `detectMouseClick` - the new detect mouse click

  - ### getEmbossedColor

    public String getEmbossedColor()
    Gets the embossed color.
    Returns:
      the embossed color

  - ### setEmbossedColor

    public void setEmbossedColor​(String embossedColor)
    Sets the embossed color.
    Parameters:
      `embossedColor` - the new embossed color

  - ### getIntensity

    public String getIntensity()
    Gets the intensity.
    Returns:
      the intensity

  - ### setIntensity

    public void setIntensity​(String intensity)
    Sets the intensity.
    Parameters:
      `intensity` - the new intensity

  - ### getGammaCorrection

    public String getGammaCorrection()
    Gets the gamma correction.
    Returns:
      the gamma correction

  - ### setGammaCorrection

    public void setGammaCorrection​(String gammaCorrection)
    Sets the gamma correction.
    Parameters:
      `gammaCorrection` - the new gamma correction

  - ### isGrayscale

    public boolean isGrayscale()
    Checks if is grayscale.
    Returns:
      true, if is grayscale

  - ### setGrayscale

    public void setGrayscale​(boolean grayscale)
    Sets the grayscale.
    Parameters:
      `grayscale` - the new grayscale

  - ### getHyperlinkTargetRelationshipID

    public String getHyperlinkTargetRelationshipID()
    Gets the hyperlink target relationship id.
    Returns:
      the hyperlink target relationship id

  - ### setHyperlinkTargetRelationshipID

    public void setHyperlinkTargetRelationshipID​(String hyperlinkTargetRelationshipID)
    Sets the hyperlink target relationship id.
    Parameters:
      `hyperlinkTargetRelationshipID` - the new hyperlink target relationship id

  - ### getID

    public String getID()
    Gets the id.
    Returns:
      the id

  - ### setID

    public void setID​(String id)
    Sets the id.
    Parameters:
      `id` - the new id

  - ### getMovieReference

    public String getMovieReference()
    Gets the movie reference.
    Returns:
      the movie reference

  - ### setMovieReference

    public void setMovieReference​(String movieReference)
    Sets the movie reference.
    Parameters:
      `movieReference` - the new movie reference

  - ### getEmbeddedObjectID

    public String getEmbeddedObjectID()
    Gets the embedded object id.
    Returns:
      the embedded object id

  - ### setEmbeddedObjectID

    public void setEmbeddedObjectID​(String embeddedObjectID)
    Sets the embedded object id.
    Parameters:
      `embeddedObjectID` - the new embedded object id

  - ### getBlackRecoloringColor

    public String getBlackRecoloringColor()
    Gets the black recoloring color.
    Returns:
      the black recoloring color

  - ### setBlackRecoloringColor

    public void setBlackRecoloringColor​(String blackRecoloringColor)
    Sets the black recoloring color.
    Parameters:
      `blackRecoloringColor` - the new black recoloring color

  - ### getSource

    public String getSource()
    Gets the source.
    Returns:
      the source

  - ### setSource

    public void setSource​(String source)
    Sets the source.
    Parameters:
      `source` - the new source

  - ### getTitle

    public String getTitle()
    Gets the title.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(String title)
    Sets the title.
    Parameters:
      `title` - the new title

  - ### getFileName

    public String getFileName()
    Specified by:
      `getFileName` in interface `IPicture`

  - ### setFileName

    public void setFileName​(String fileName)
    Sets the file name.
    Parameters:
      `fileName` - the new file name

  - ### getBuffer

    public byte[] getBuffer()
    Specified by:
      `getBuffer` in interface `IPicture`

  - ### setBuffer

    public void setBuffer​(byte[] buffer)
    Specified by:
      `setBuffer` in interface `IPicture`